Bug 23606 - Add columns configuration and export options to item types administration
Summary: Add columns configuration and export options to item types administration
Status: Pushed to master
Alias: None
Product: Koha
Classification: Unclassified
Component: System Administration (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on: 23602
Blocks:
  Show dependency treegraph
 
Reported: 2019-09-13 12:51 UTC by Owen Leonard
Modified: 2019-10-07 13:10 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:
19.11.00


Attachments
Bug 23606: Add columns configuration and export options to item types administration (4.79 KB, patch)
2019-09-13 13:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23606: Add columns configuration and export options to item types administration (4.83 KB, patch)
2019-09-13 16:32 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 23606: Add columns configuration and export options to item types administration (4.87 KB, patch)
2019-09-20 19:46 UTC, Maryse Simard
Details | Diff | Splinter Review
Bug 23606: Add columns configuration and export options to item types administration (4.94 KB, patch)
2019-10-02 14:10 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2019-09-13 12:51:09 UTC
I propose to add column configuration and export options to the item types administration page.
Comment 1 Owen Leonard 2019-09-13 13:25:49 UTC
Created attachment 92799 [details] [review]
Bug 23606: Add columns configuration and export options to item types administration

This patch adds column configuration to the table of item types
in administration. No new defaults for the table are defined.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Administration -> Item types.
   - Test that the "Column visibility" button works to show and hide
     columns. The "actions" column should be excluded.
   - Test that export options (Excel, CSV, etc) exclude the "actions"
     column.
 - Go to Administration -> Columns settings and edit the default
   configuration of the item types table. Confirm that these
   changes are reflected in item tyeps administration.

Test with noItemTypeImages on and off.
Comment 2 Owen Leonard 2019-09-13 16:21:51 UTC
I'll rebase this on top of Bug 23602.
Comment 3 Owen Leonard 2019-09-13 16:32:55 UTC
Created attachment 92817 [details] [review]
Bug 23606: Add columns configuration and export options to item types administration

This patch adds column configuration to the table of item types
in administration. No new defaults for the table are defined.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Administration -> Item types.
   - Test that the "Column visibility" button works to show and hide
     columns. The "actions" column should be excluded.
   - Test that export options (Excel, CSV, etc) exclude the "actions"
     column.
 - Go to Administration -> Columns settings and edit the default
   configuration of the item types table. Confirm that these
   changes are reflected in item tyeps administration.

Test with noItemTypeImages on and off.
Comment 4 Maryse Simard 2019-09-20 19:46:51 UTC
Created attachment 93049 [details] [review]
Bug 23606: Add columns configuration and export options to item types administration

This patch adds column configuration to the table of item types
in administration. No new defaults for the table are defined.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Administration -> Item types.
   - Test that the "Column visibility" button works to show and hide
     columns. The "actions" column should be excluded.
   - Test that export options (Excel, CSV, etc) exclude the "actions"
     column.
 - Go to Administration -> Columns settings and edit the default
   configuration of the item types table. Confirm that these
   changes are reflected in item tyeps administration.

Test with noItemTypeImages on and off.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>
Comment 5 Katrin Fischer 2019-10-02 14:10:35 UTC
Created attachment 93486 [details] [review]
Bug 23606: Add columns configuration and export options to item types administration

This patch adds column configuration to the table of item types
in administration. No new defaults for the table are defined.

To test, apply the patch and clear your browser cache if necessary.

 - Go to Administration -> Item types.
   - Test that the "Column visibility" button works to show and hide
     columns. The "actions" column should be excluded.
   - Test that export options (Excel, CSV, etc) exclude the "actions"
     column.
 - Go to Administration -> Columns settings and edit the default
   configuration of the item types table. Confirm that these
   changes are reflected in item tyeps administration.

Test with noItemTypeImages on and off.

Signed-off-by: Maryse Simard <maryse.simard@inlibro.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 6 Martin Renvoize 2019-10-07 13:10:38 UTC
Nice work!

Pushed to master for 19.11.00